Page MenuHomePhabricator

Notify translators about new personalised suggestions being available based on their recently published translation
Closed, ResolvedPublic

Description

Content Translation is now able to provide personalised suggestions based on the translations the users made. Since users may not be aware of this (e..g, users checking suggestions just the first time), it may be useful to surface the availability of those suggestions.

With that purpose we can:

  • After the user published an article X, send a notification telling the user that new suggestions to translate are available based on X.
    • To avoid annoying active users already familiar with the feature, we can send the suggestion only if the user does not have any other recent translation published. That is, only notifying about new suggestions if the user publishes an article after more than 10 days from the last publication.
    • We may also consider these notifications to become a bundle o avoid many of them to accumulate.
  • If the user clicks on the notification, the user is directed to the suggestions view showing the suggestions based on X
    • We need to make sure that suggestions based on the article the user just published are shown. Considering the random selection of suggestions we may have to use a parameter.

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptDec 1 2015, 8:28 AM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Pginer-WMF updated the task description. (Show Details)Dec 1 2015, 9:03 AM
Pginer-WMF set Security to None.
Arrbee triaged this task as Normal priority.Dec 2 2015, 7:05 AM
Arrbee added a project: LE-CX7-Sprint 4.
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.Dec 7 2015, 10:45 AM

We need to make sure that suggestions based on the article the user just published are shown

The way the suggestions are fetched is based on translations that are in progress or published. When user lands suggesion view, we take 3 of them(latest 3) and give as seed articles to recommendation tool. I think this is enough and nothing else needed to make sure users are seeing relevant translation when they visit suggestion view

Change 264927 had a related patch set uploaded (by Santhosh):
Dashboard: Show suggestions if URL has #suggestions

https://gerrit.wikimedia.org/r/264927

Change 264929 had a related patch set uploaded (by Santhosh):
Notify translators about the availability of personalized suggestions

https://gerrit.wikimedia.org/r/264929

santhosh added a comment.EditedJan 19 2016, 6:18 AM

In the above patch, I configured to send this notification on 2nd article publish. So that the suggestions system has 2 seed article, and notification is sent only once. We can make this more smart by considering the language pairs and all. But I thought of making it simple and independent of language pairs.

Any better suggestions? About wording of message? The link in the message goes to Special:ContentTranslation#suggestions

santhosh claimed this task.Jan 19 2016, 6:24 AM
santhosh moved this task from Backlog to In Review on the LE-CX8-Sprint 1 board.


In the above patch, I configured to send this notification on 2nd article publish. So that the suggestions system has 2 seed article, and notification is sent only once. We can make this more smart by considering the language pairs and all. But I thought of making it simple and independent of language pairs.
Any better suggestions? About wording of message? The link in the message goes to Special:ContentTranslation#suggestions

This looks good. Making the notification on the 2nd translation makes a lot of sense (also to show too many CX-related notifications at the same time).
Just some minor comments:

  • I guess the main action for the notification should be already the link to the suggestions view of the dashboard. So there is no need for a link inside the notification. We can remove the "Please visit the Content Translation dashboard" part.
  • The messaging may be more effective the more we connect it with the user actions. We can consider mentioning the last article the user translate to make it clear that suggestions will be related to that.
  • We may want to avoid the term "article" since it is often problematic for localisation and non-Wikipedia contexts.

Applying the above, an example message could be:

"Based on your previous translation of Paneer, new suggestions are ready for you to translate."

and

Awesome!
Just something I forgot to mention, as part of the work to make the notification style consistent, it is recommended to use bold and not quotes to delimite page names. This is part of the ongoing definition of the notification guidelines, but you can check some examples in M132

santhosh added a comment.EditedJan 20 2016, 6:35 AM

Ok, I removed quote and made it bold

Change 264927 merged by jenkins-bot:
Dashboard: Show suggestions if URL has #suggestions

https://gerrit.wikimedia.org/r/264927

santhosh added a subscriber: leila.Jan 21 2016, 5:56 AM
Nikerabbit moved this task from In Review to QA on the LE-CX8-Sprint 1 board.Jan 22 2016, 8:09 AM

Change 264929 merged by Nikerabbit:
Notify translators about the availability of personalized suggestions

https://gerrit.wikimedia.org/r/264929

Arrbee added a subscriber: Arrbee.Jan 22 2016, 2:43 PM

Verified. Notification displayed after publishing the 2nd article.

Arrbee moved this task from QA to Done on the LE-CX8-Sprint 1 board.Jan 22 2016, 2:43 PM
Amire80 moved this task from CX7 to CX8 on the ContentTranslation board.Jan 24 2016, 8:52 PM
leila moved this task from Backlog to Radar on the GapFinder board.
santhosh closed this task as Resolved.Feb 10 2016, 8:15 AM

@Amire80 I recall there was some discussion about the impact of this. Do we have some numbers on the increase of accepted suggestions after releasing this feature?